# 32/64bit spec-file
#
Summary:	Download utility with resuming and segmented downloading
Summary(de):    Downloadwerkzeug mit Wiederaufnahme von Downloads und segmentiertem Download.
Name:		aria2
Version:	1.25.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://aria2.sourceforge.net/
Source0:	http://downloads.sourceforge.net/aria2/%{name}-%{version}.tar.xz
#----------------------------------
BuildRequires:	bison
BuildRequires: %{_lib}cares-devel
BuildRequires: %{_lib}gmp-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}nettle-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}xml2-devel
#-------------------------------
Requires:	rootcerts
Requires:	%{_lib}cares2
Requires:	%{_lib}gcrypt20
Provides:	webfetch

%description
Aria2 has segmented downloading engine in its core. It can download one 
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%description -l de
Aria2 unterstützt segmentierte Downloads. Es kann eine Datei von mehreren 
Quellen herunterladen oder mehrere Verbindungen zu einem Server aufnehmen. 
Dadurch sind Downloads in einer hohen Geschwindigkeit möglich, viel höher 
als bei normalen Browsern. Ab Version 0.3.0 werden auch Torrent-Dateien 
unterstützt. Die Anwendung ist in einem „single-thread“ Modell erstellt. 
Die Architektur ist sehr klar und einfach zu erweitern. Es unterstützt auch 
„Metalink“ Version 3.0. 

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS="$CFLAGS"

%configure2_5x \
	--with-ca-bundle="%{_sysconfdir}/pki/tls/cert.pem" \
	--enable-bittorrent \
	--enable-metalink \
	--enable-epoll \
	--enable-threads=posix \
	--disable-rpath \
	--with-gnutls \
	--without-openssl \
	--with-sqlite3 \
	--with-libxml2 \
	--without-libexpat \
	--with-libcares \
	--with-libz

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS README NEWS README.rst
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/pt/man1/aria2c.1.*
%lang(ru) %{_mandir}/ru/man1/*


%changelog
* Sat Dec 16 2017 adrianomorselli <adrianomorselli> 1.25.0-1uplos2017
- update
